Summary: Bloonix Plugins
Name: bloonix-plugins
Version: 1.33
Release: 1%{dist}
License: Commercial
Group: Utilities/System
Distribution: Rockylinux

Packager: Jonny Schulz <js@bloonix.de>
Vendor: Bloonix

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: https://repo.bloonix.org/sources/%{name}-%{version}.tar.gz
Requires: bloonix-core >= 1.42
Requires: sudo
Requires: mtr
Requires: python3-certifi
Requires: python3-mysqlclient
Requires: python3-dns
Requires: python3-psycopg2
Requires: python3-pycurl
AutoReqProv: no

%define __brp_mangle_shebangs %{nil}

%description
bloonix-plugins provides the check plugins.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix /usr
make

%install
make install DESTDIR=%{buildroot}

%clean
make clean
rm -rf %{buildroot}

%post
/usr/lib/bloonix/bin/bloonix-plugins-postinst

%files
%defattr(-,root,root,-)
/usr/bin/bloonix-import-plugins-into-db
/usr/lib/bloonix/bin/bloonix-plugins-postinst
/usr/lib/bloonix/js/bloonix-wtrm.js
/usr/lib/bloonix/plugins/check-apache
/usr/lib/bloonix/plugins/check-cluster
/usr/lib/bloonix/plugins/check-dns
/usr/lib/bloonix/plugins/check-ftp
/usr/lib/bloonix/plugins/check-http
/usr/lib/bloonix/plugins/check-imap
/usr/lib/bloonix/plugins/check-lighttpd
/usr/lib/bloonix/plugins/check-linux-bonding
/usr/lib/bloonix/plugins/check-linux-cpu
/usr/lib/bloonix/plugins/check-linux-disk
/usr/lib/bloonix/plugins/check-linux-drbd
/usr/lib/bloonix/plugins/check-linux-findmnt
/usr/lib/bloonix/plugins/check-linux-iflink
/usr/lib/bloonix/plugins/check-linux-ifstat
/usr/lib/bloonix/plugins/check-linux-iostat
/usr/lib/bloonix/plugins/check-linux-loadavg
/usr/lib/bloonix/plugins/check-linux-memory
/usr/lib/bloonix/plugins/check-linux-mtr
/usr/lib/bloonix/plugins/check-linux-netstat
/usr/lib/bloonix/plugins/check-linux-netstat-active-state
/usr/lib/bloonix/plugins/check-linux-netstat-passive-state
/usr/lib/bloonix/plugins/check-linux-netstat-port
/usr/lib/bloonix/plugins/check-linux-netstat-rate
/usr/lib/bloonix/plugins/check-linux-nf-conntrack
/usr/lib/bloonix/plugins/check-linux-nfs3
/usr/lib/bloonix/plugins/check-linux-nfs4-client
/usr/lib/bloonix/plugins/check-linux-nfs4-server
/usr/lib/bloonix/plugins/check-linux-ntp-time
/usr/lib/bloonix/plugins/check-linux-open-files
/usr/lib/bloonix/plugins/check-linux-pgswstat
/usr/lib/bloonix/plugins/check-linux-ping
/usr/lib/bloonix/plugins/check-linux-proc-list
/usr/lib/bloonix/plugins/check-linux-procstat
/usr/lib/bloonix/plugins/check-linux-sockstat
/usr/lib/bloonix/plugins/check-memcached
/usr/lib/bloonix/plugins/check-mysql
/usr/lib/bloonix/plugins/check-mysql-slave
/usr/lib/bloonix/plugins/check-nginx
/usr/lib/bloonix/plugins/check-pgsql-db
/usr/lib/bloonix/plugins/check-pgsql-procs
/usr/lib/bloonix/plugins/check-pgsql-replication
/usr/lib/bloonix/plugins/check-php-fpm-status
/usr/lib/bloonix/plugins/check-rbl
/usr/lib/bloonix/plugins/check-redis
/usr/lib/bloonix/plugins/check-redis-queue
/usr/lib/bloonix/plugins/check-bloonix-satellite
/usr/lib/bloonix/plugins/check-bloonix-server
/usr/lib/bloonix/plugins/check-simple-wrapper
/usr/lib/bloonix/plugins/check-smtp
/usr/lib/bloonix/plugins/check-snmp-cpu
/usr/lib/bloonix/plugins/check-snmp-disk
/usr/lib/bloonix/plugins/check-snmp-get
/usr/lib/bloonix/plugins/check-snmp-if
/usr/lib/bloonix/plugins/check-snmp-mem
/usr/lib/bloonix/plugins/check-snmp-nprocs
/usr/lib/bloonix/plugins/check-snmp-process
/usr/lib/bloonix/plugins/check-snmp-service
/usr/lib/bloonix/plugins/check-tcp
/usr/lib/bloonix/plugins/check-udp
/usr/lib/bloonix/plugins/check-wtrm
/usr/lib/bloonix/plugins/sudo-check-filestat
/usr/lib/bloonix/plugins/sudo-check-linux-gluster-status
/usr/lib/bloonix/plugins/sudo-check-linux-gluster-volume
/usr/lib/bloonix/plugins/sudo-check-linux-jstack
/usr/lib/bloonix/plugins/sudo-check-linux-jstat
/usr/lib/bloonix/plugins/sudo-check-linux-lsi-raid
/usr/lib/bloonix/plugins/sudo-check-linux-mdadm
/usr/lib/bloonix/plugins/sudo-check-linux-postfix-mailqueue
/usr/lib/bloonix/plugins/sudo-check-linux-sensors
/usr/lib/bloonix/plugins/sudo-check-linux-service
/usr/lib/bloonix/plugins/sudo-check-linux-smart-health
/usr/lib/bloonix/plugins/sudo-check-linux-updates
/usr/lib/bloonix/plugins/sudo-check-logfile
/usr/lib/bloonix/plugins/sudo-check-status-line
/usr/lib/bloonix/plugins/sudo-check-typo3-updates
/usr/lib/bloonix/plugins/sudo-check-varnish
/usr/lib/bloonix/simple-plugins/check-dummy
/usr/lib/bloonix/simple-plugins/sudo-check-cert-expire-date
/usr/lib/bloonix/simple-plugins/sudo-check-iptables-drop

%changelog
* Tue May 27 2025 Jonny Schulz <js@bloonix.de> - 1.33-1
- New release.
