#!/bin/bash

set -e
. /etc/os-release

# VERSION_ID is not set on testing/sid
case $VERSION_CODENAME in
    stretch) VERSION_ID=9 ;;
     buster) VERSION_ID=10 ;;
   bullseye) VERSION_ID=11 ;;
   bookworm) VERSION_ID=12 ;;
     trixie) VERSION_ID=13 ;;
          *) echo "err: VERSION_CODENAME is empty"; exit 1 ;;
esac

case $VERSION_CODENAME in
    stretch) DEBHELPER=10 ;;
          *) DEBHELPER=12 ;;
esac

if [[ $VERSION_ID -le 11 ]] ; then
    PYTHON_SNMP_PACKAGE="python3-pysnmp4"
else
    PYTHON_SNMP_PACKAGE="python3-easysnmp"
fi

cat <<EOT
Source: bloonix-plugins
Section: net
Priority: extra
Maintainer: Jonny Schulz <js@bloonix.de>
Build-Depends: debhelper (>= $DEBHELPER)
Standards-Version: 4.6.2
Homepage: https://www.bloonix.de/

Package: bloonix-plugins
Architecture: all
Depends:
 \${python3:Depends},
 bloonix-core (>= 1.42),
 sudo,
 mtr,
 python3-certifi,
 python3-mysqldb,
 python3-dnsq,
 python3-psycopg2,
 python3-pycurl,
 $PYTHON_SNMP_PACKAGE
Description: 
 bloonix-plugins provides the check plugins.
EOT
