#!/usr/bin/python3

import unittest
import re
from bloonix.runcmd import RunCmd

class TestChecks(unittest.TestCase):
    def __plugin(self, plugin):
        return "../plugins/%s" % plugin

    def test_check_linux_ntp_time_1(self):
        p = RunCmd(
            command=[
                "python3",
                self.__plugin("check-linux-ntp-time.in"),
                "--test",
                "data/check-linux-ntpq-1.txt",
            ]
        )
        self.assertTrue(p.exitcode == 0)

    def test_check_linux_ntp_time_2(self):
        p = RunCmd(
            command=[
                "python3",
                self.__plugin("check-linux-ntp-time.in"),
                "--test",
                "data/check-linux-ntpq-2.txt",
            ]
        )
        self.assertTrue(p.exitcode == 5)

    def test_check_linux_ntp_time_3(self):
        p = RunCmd(
            command=[
                "python3",
                self.__plugin("check-linux-ntp-time.in"),
                "--test",
                "data/check-linux-chrony-1.txt",
            ]
        )
        self.assertTrue(p.exitcode == 0)


unittest.main(verbosity=2)
