#!/usr/bin/python3

import unittest
import json
from bloonix.runcmd import RunCmd

class TestChecks(unittest.TestCase):
    def test_wtrm(self):
        # node bloonix-wtrm.js --html-file wtrm/index.html --workflow wtrm/workflow.json
        p = RunCmd(
            command=[
                "node", "bloonix-wtrm.js",
                "--html-file", "wtrm/index.html",
                "--workflow", "wtrm/workflow.json",
            ],
            timeout=10,
            split_lines=True
        )
        self.assertTrue(p.exitcode == 0)
        if not p.stdout[-1]:
            p.stdout.pop()
        last_line = json.loads(p.stdout.pop())
        self.assertTrue(last_line["status"] == "done")
        self.assertTrue("console: ready" in last_line["debug"])
        for line in p.stdout:
            if not line: continue
            step = json.loads(line)
            self.assertTrue(step["status"] == "ok" and step["data"]["success"] is True)


unittest.main(verbosity=2)
